package com.zanxiang.game.back.base.rpc;

import com.zanxiang.game.back.base.pojo.dto.*;
import com.zanxiang.module.util.pojo.ResultVO;

/**
 * 腾讯数据源回传
 */
public interface ITencentAppBackRpc {
    /**
     * 订单回传
     */
    ResultVO<Boolean> backOrder(TencentOrderAppRpcDTO dto);

    /**
     * 用户回传
     */
    ResultVO<Boolean> backUser(TencentUserAppRpcDTO dto);

    ResultVO<Boolean> backRoleRegister(TencentRoleRegisterAppRpcDTO dto);

    ResultVO<String> queryUserAgentFromCallback(TencentAppApiUserAgentQueryRpcDTO dto);
}
